/******************************************************************
 * CopyPolicy: GNU Public License 2 applies
 * Copyright (C) 1998 Monty xiphmont@mit.edu
 * Modified for MacOS X by Scott Wood scott@buserror.net
 * 
 * internal include file for cdda interface kit for MacOS X
 *
 ******************************************************************/

#ifndef _cdda_low_interface_
#define _cdda_low_interface_

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>
#include <errno.h>
#include <fcntl.h>

#include <sys/ioctl.h>
#include <sys/stat.h>
#include <sys/ipc.h>
#include <sys/sem.h>
#include <sys/shm.h>
#include <sys/time.h>
#include <sys/types.h>

#include "cdda_interface.h"

static const int MAX_RETRIES = 8;
static const int MAX_BIG_BUFF_SIZE = 65536;
static const int MIN_BIG_BUFF_SIZE = 4096;

extern int cooked_init_drive(cdrom_drive *d);
extern unsigned char *scsi_inquiry(cdrom_drive *d);
extern int scsi_init_drive(cdrom_drive *d);
#ifdef CDDA_TEST
extern int test_init_drive(cdrom_drive *d);
#endif
#endif
